Base URL: https://nonfungible.com/api/v1/
Our API is available to the public for non-commercial use.
GET /market/publisher/history/?start=0&length=10
Returns most recent market sales from a specific publisher.
| Name | Type | Description |
|---|---|---|
| publisher | Required String | Value used as key for the project. Typically, the alpha-numeric, without spaces, lowercase representation. Ex. decentraland, cryptokitties, cryptopunks, knownorigin. |
| start | Optional Number Default: 0 | Retrieve records starting at this position, the first record is “0”. |
| length | Optional Number Default: 10 | Number of records to retrieve after the start record. |
| search[value] | Optional String | Search sales history for NFT “Asset ID”. See search format below for more information and search options. |
| columns[0][name] | Optional String Default: "blockTimestamp" | Define the sort column of the results. Currently, only 1 order is supported. Multi-column ordering is not yet supported. |
| order[0][dir] | Optional String Default: "desc" | Define the sort direction of the order[0][column]. Currently supported: asc, desc |
| history | Optional Boolean Default: false | If “true”, the sale history for each sale will be attached to the response as “history” (requires “datatype” parameter to be “json”) |
| datatype | Optional String Default: "json" | Currently supported are: json, csv |
GET https://nonfungible.com/api/v1/market/decentraland/history/?start=0&length=1&columns[0][name]=blockTimestamp&order[0][dir]=asc
{ "recordsTotal": 36884, "recordsFiltered": 36884, "data": [ { "_id": "5b4e2c190518b82193cd3a39", "transactionHash": "0x257ed530345b2e6a8b3f706e61fc0610b9464e4f06d08e146962fdc14b93c0eb", "blockNumber": 4948603, "logIndex": 30, "blockTimestamp": "2018-01-21T21:48:02.000Z", "assetId": "115792089237316195423570985008687907850888008097193994795213961755890752159758", "assetDescriptor": "-7, 14", "marketAddress": "0xF87E31492Faf9A91B02Ee0dEAAd50d51d56D5d4d", "totalDecimalPrice": 11655, "totalPrice": "11655000000000000000000", "usdPrice": 1737.142785, "buyer": "0x9ddac6c981572aa3f4ab7ffa3d64356d94093206", "seller": "0xF87E31492Faf9A91B02Ee0dEAAd50d51d56D5d4d", "meta": { "x": "-7", "y": "14", "to_road": "1", "to_genesis": "5", "to_district": "38" } } ] }